import { Construct } from 'constructs';
export interface RedisOptions {
    /**
     * Number of slave replicas.
     * @default 2
     */
    readonly slaveReplicas?: number;
    /**
     * Extra labels to associate with resources.
     * @default - none
     */
    readonly labels?: {
        [name: string]: string;
    };
}
export declare class Redis extends Construct {
    /**
     * The DNS host for the master server.
     */
    readonly masterHost: string;
    /**
     * The DNS host for the slave service.
     */
    readonly slaveHost: string;
    constructor(scope: Construct, id: string, options?: RedisOptions);
}
